package com.bzd.system.service.ypdg;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 中药代煎需求单表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYpdgChineseDecoctionstService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYpdgChineseDecoctionst(PageData pd)throws Exception {
        return daoSupport.update("SYpdgChineseDecoctionstMapper.addSYpdgChineseDecoctionst", pd);
    }

    public List<PageData> findSYpdgChineseDecoctionstList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYpdgChineseDecoctionstMapper.selectSYpdgChineseDecoctionstList", pd);
    }

    public Integer SYpdgChineseDecoctionstRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYpdgChineseDecoctionstMapper.SYpdgChineseDecoctionstRemove", pd);
    }


    public Integer updateSYpdgChineseDecoctionst(PageData pd)throws Exception {
        return daoSupport.update("SYpdgChineseDecoctionstMapper.updateSYpdgChineseDecoctionst", pd);
    }

}
